export declare const defaultFixturesLocation: string;
export interface FixtureHelper {
    read(path: string): Promise<string>;
    write(path: string, text: string): Promise<void>;
    compare(fixturePath: string, actual: string): Promise<CompareResult>;
    relativeFixturePath(...pathParts: string[]): string;
    resolveFixturePath(...pathParts: string[]): string;
    readonly fixturesLocation: string;
    enableWriteBack: boolean;
}
export interface CompareResult {
    expected: string;
    actual: string;
}
export declare const defaultUpdateFixtures: boolean;
export declare function create(fixturesLocation?: string): FixtureHelper;
