"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs-extra");
const plist = require("fast-plist");
const yaml = require("js-yaml");
async function loadGrammar(pathToGrammar) {
    const grammarContents = await fs.readFile(pathToGrammar, 'utf-8');
    const def = tryPList(grammarContents) || tryJsonOrYaml(grammarContents);
    if (!def || typeof def !== 'object') {
        return Promise.reject(`Unable to load grammar file: "${pathToGrammar}"`);
    }
    return def;
}
exports.loadGrammar = loadGrammar;
function tryPList(content) {
    try {
        return plist.parse(content);
    }
    catch (e) {
    }
    return undefined;
}
function tryJsonOrYaml(content) {
    try {
        return yaml.safeLoad(content);
    }
    catch (e) { }
    return undefined;
}
//# sourceMappingURL=grammarFiles.js.map