"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs-extra");
const defaultEncoding = 'utf8';
async function tokenizeFile(grammar, filename, encoding = defaultEncoding) {
    const text = await fs.readFile(filename, encoding);
    const tokenizedLines = [...grammar.tokenizeLines(text.split(/\r?\n/))];
    return {
        filename,
        tokenizedLines,
    };
}
exports.tokenizeFile = tokenizeFile;
//# sourceMappingURL=tokenizeFile.js.map