export interface Cache<K, V> {
    get: (key: K) => V;
    set: (key: K, value: V) => Cache<K, V>;
    has: (key: K) => boolean;
}
export declare class CacheMap<K, V> {
    readonly loader: (key: K) => V;
    private map;
    constructor(loader: (key: K) => V, entries?: Iterable<[K, V]>);
    get(key: K): V;
    has(key: K): boolean;
    set(key: K, value: V): this;
}
export declare function create<K, T>(loader: (key: K) => T): Cache<K, T>;
