import { ScopeColorizer, LineColorizer } from './types';
export declare type ColorTextFn = (text: string) => string;
export declare type ColorMap = [RegExp, ColorTextFn][];
export interface ScopeColorizerDefinition {
    colorMap: ColorMap;
    defaultColorizer: ColorTextFn;
}
export declare function createScopeColorizer(colorDef?: ScopeColorizerDefinition): ScopeColorizer;
export declare function createColorizer(scopeColorizer?: ScopeColorizer): LineColorizer;
export interface ColorApplicator {
    (...text: string[]): string;
    red: ColorApplicator;
    green: ColorApplicator;
    yellow: ColorApplicator;
    blue: ColorApplicator;
    greenBright: ColorApplicator;
    yellowBright: ColorApplicator;
    dim: ColorApplicator;
    gray: ColorApplicator;
    bgHex: (hex: string) => ColorApplicator;
}
export declare function createDefaultColorMap(chalk: ColorApplicator): ScopeColorizerDefinition;
export declare function createDefaultColorApplicator(): ColorApplicator;
